<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%><%@taglib
	uri="http://java.sun.com/jsf/core" prefix="f"%><%@taglib
	uri="http://java.sun.com/jstl/core" prefix="c"%><%@taglib
	uri="http://java.sun.com/jsp/jstl/core" prefix="c1"%><%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link rel="StyleSheet" type="text/css" href="css/pfc.css">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>PFC - Ontologies de dispositius mòbils</title>
</head>

<body>

<f:view>

		<h:form style="background-color: #C7D3DD">

			<table style="width: 896px;">
				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.accelActive}"></h:selectBooleanCheckbox>Acceleròmetre
						</td>

					<td style="width: 189px; "><h:selectOneRadio value="#{controller.filter.accel}" layout="lineDirection" style="width: 134px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td>Mida de pantalla mínima (en polzades) <h:inputText
							value="#{controller.filter.displaySize}" style="width: 43px; ">
							<f:validateDoubleRange></f:validateDoubleRange>
						</h:inputText></td>
				</tr>
				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.lightActive}"></h:selectBooleanCheckbox>Sensor
						de llum </td>

					<td><h:selectOneRadio value="#{controller.filter.light}" style="width: 132px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td>Sistema operatiu <h:selectOneMenu
							value="#{controller.filter.os}">
							<f:selectItem itemValue="Qualsevol" />
							<f:selectItem itemValue="Android" />
							<f:selectItem itemValue="Windows Phone" />
							<f:selectItem itemValue="Altres" />
						</h:selectOneMenu></td>
				</tr>

				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.html5Active}"></h:selectBooleanCheckbox>Suport
						HTML 5 </td>

					<td><h:selectOneRadio value="#{controller.filter.html5}" style="width: 134px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td align="right"></td>
				</tr>





				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.flashActive}"></h:selectBooleanCheckbox>Càmera
						amb flash </td>

					<td><h:selectOneRadio value="#{controller.filter.flash}" style="width: 133px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td></td>
				</tr>
				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.satActive}"></h:selectBooleanCheckbox>Localització
						per satèl·lit </td>

					<td><h:selectOneRadio value="#{controller.filter.sat}" style="width: 134px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td></td>
				</tr>
				<tr>
					<td><h:selectBooleanCheckbox
							value="#{controller.filter.wifiActive}"></h:selectBooleanCheckbox>Wifi
						</td>

					<td><h:selectOneRadio value="#{controller.filter.wifi}" style="width: 134px; ">
							<f:selectItem itemLabel="Sí" itemValue="true" />
							<f:selectItem itemLabel="No" itemValue="false" />
						</h:selectOneRadio></td>
					<td align="right"><h:commandButton
							action="#{controller.applyFilter}" value="Aplica filtre"
							type="submit" ></h:commandButton>
						</td>
				</tr>
			</table>
		</h:form>
		<br><h:form style="background-color: #C7D3DD">
			<table style="width: 884px; ">
				<tr>
					<td style="width: 200px; ">Dispositiu:</td>
					<td align="left"><h:selectOneMenu id="selDevice"
							value="#{controller.selectedDevice}">

							<f:selectItems value="#{controller.deviceItems}" />
						</h:selectOneMenu></td>
					<td rowspan="2" style="width: 595px; " align="right"><h:commandButton value="Consultar" action="#{controller.query}" type="submit" id="cmdConsultar"></h:commandButton></td>
				</tr>
				<tr>
					<td></td>
					<td align="left"><h:selectOneMenu id="selFileType"
							value="#{controller.selectedFileType}" rendered="false">

							<f:selectItems value="#{controller.fileTypeItems}" />
						</h:selectOneMenu></td>
					
				</tr>
			</table>

			
		<p>
				
			</p>
		</h:form><h2>


	Característiques del dispositiu seleccionat
		</h2>
		<table class="caract" align="center">
			<tr>
				<td class="prop">Sistema operatiu</td>
				<td class="val"><h:outputText
						value="#{controller.device.operatingSystem}"></h:outputText></td>
				<td class="prop">Memòria d'emmagatzematge</td>
				<td class="val"><h:outputText
						value="#{controller.device.storageMemory} MB"
						rendered="#{controller.device.storageMemory>0}"></h:outputText></td>
			</tr>
			<tr>
				<td class="prop">CPU</td>
				<td class="val"><h:outputText value="#{controller.device.cpu}"></h:outputText>
					<h:outputText value=" #{controller.device.cpuFreq} MHz"
						rendered="#{controller.device.cpuFreq>0}">
					</h:outputText></td>


				<td class="prop">Mida de pantalla</td>
				<td class="val"><h:outputText></h:outputText>
					<h:outputText value="#{controller.device.displaySize}''"
						rendered="#{controller.device.displaySize>0}"></h:outputText></td>
			</tr>
			<tr>
				<td class="prop">Memòria RAM</td>
				<td class="val"><h:outputText
						value="#{controller.device.ramMemory} MB"
						rendered="#{controller.device.ramMemory>0}"></h:outputText></td>
				<td class="prop">Resolució</td>
				<td class="val"><h:outputText
						value="#{controller.device.resolutionWidth} x #{controller.device.resolutionHeight} px"
						rendered="#{controller.device.resolutionWidth>0}"></h:outputText></td>
			</tr>
			<tr>
				<td class="prop">Més informació</td>
				<td class="val" colspan="3"><h:outputText value="#{controller.device.url}"></h:outputText></td>
				
				
			</tr>
		</table>

		
		<h2>Fitxers suportats</h2>
		<h3>Audio</h3>
		<div align="center">
		<h:dataTable border="1" id="tblAudioFiles" value="#{controller.audioFiles}" var="f" rowClasses="val" rendered="#{controller.showResults}">
		<h:column id="colName">
			<f:facet name="header">
				<h:outputText value="URL"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.url}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colContainer">
			<f:facet name="header">
				<h:outputText value="Contenidor"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.mediaContainer}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colCodecs">
			<f:facet name="header">
				<h:outputText value="Còdec" ></h:outputText>
			</f:facet>
			<h:outputText value="#{f.audioCodec}" style="color: #1E90FF"></h:outputText>
		</h:column>
	</h:dataTable>
</div>

	<h3>Video</h3>

<div align="center">
	<h:dataTable border="1" id="tblVideoFiles" value="#{controller.videoFiles}" var="f" rowClasses="val" rendered="#{controller.showResults}">
		<h:column id="colName">
			<f:facet name="header">
				<h:outputText value="URL"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.url}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colContainer">
			<f:facet name="header">
				<h:outputText value="Contenidor"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.mediaContainer}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colAudioCodec">
			<f:facet name="header">
				<h:outputText value="Còdec d'àudio"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.audioCodec}" style="color: #1E90FF"></h:outputText>
		</h:column>
			<h:column id="colVideoCodec">
				<f:facet name="header">
					<h:outputText value="Còdec de vídeo"></h:outputText>
				</f:facet>
				<h:outputText value="#{f.videoCodec}" style="color: #1E90FF"></h:outputText>
			</h:column>
		</h:dataTable>
</div>
	
	<h3>Imatge</h3><div align="center">
	<h:dataTable border="1" id="tblImageFiles" value="#{controller.imageFiles}" var="f" rowClasses="val" rendered="#{controller.showResults}">
		<h:column id="colName">
			<f:facet name="header">
				<h:outputText value="URL"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.url}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colContainer">
			<f:facet name="header">
				<h:outputText value="Contenidor"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.mediaContainer}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colAudioCodec">
			<f:facet name="header">
				<h:outputText value="Còdec"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.imageCodec}" style="color: #1E90FF"></h:outputText>
		</h:column>
			<h:column id="colVideoCodec">
				<f:facet name="header">
					<h:outputText value="Resolució"></h:outputText>
				</f:facet>
				<h:outputText value="#{f.resolutionWidth} x #{f.resolutionHeight}" style="color: #1E90FF"></h:outputText>
			</h:column>
		</h:dataTable>
</div>
	
	<h3>Aplicacions</h3><div align="center">
	<h:dataTable border="1" id="tblOtherFiles" value="#{controller.executableFiles}" var="f" rowClasses="val" rendered="#{controller.showResults}">
		<h:column id="colName">
			<f:facet name="header">
				<h:outputText value="URL"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.url}" style="color: #1E90FF"></h:outputText>
		</h:column>
		<h:column id="colContainer">
			<f:facet name="header">
				<h:outputText value="Plataforma"></h:outputText>
			</f:facet>
			<h:outputText value="#{f.platform}" style="color: #1E90FF"></h:outputText>
		</h:column>
		
			
		</h:dataTable>
</div>
</f:view>

</body>
</html>